1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen
  2. Unsere jährliche Weihnachts-Banner-Aktion hat begonnen! Wir freuen uns auf viele, viele kreative Vorschläge.
    Mehr dazu könnt Ihr hier nachlesen: Weihnachtsbanner 2016

    Information ausblenden

Eclipse geht nicht auf MBP! keine UB für Eclipse?

Dieses Thema im Forum "OS X-Developer" wurde erstellt von philo, 11.05.06.

  1. philo

    philo Roter Stettiner

    Dabei seit:
    13.10.04
    Beiträge:
    973
    hallo, ich sehe noch den Splash Screen, aber dann steht dass in der workspace/.metadata/.log

    Code:
    !SESSION 2006-05-11 02:21:56.703 -----------------------------------------------
    eclipse.buildId=M20060118-1600
    java.version=1.5.0_06
    java.vendor=Apple Computer, Inc.
    BootLoader constants: OS=macosx, ARCH=ppc, WS=carbon, NL=en_US
    Framework arguments:  -keyring /Users/philotas/.eclipse_keyring -showlocation
    Command-line arguments:  -os macosx -ws carbon -arch ppc -keyring /Users/philota
    s/.eclipse_keyring -consoleLog -showlocation
    
    !ENTRY org.eclipse.osgi 2006-05-11 02:22:00.922
    !MESSAGE Application error
    !STACK 1
    java.lang.UnsatisfiedLinkError: /Users/philotas/MyApps/eclipse/configuration/org
    .eclipse.osgi/bundles/63/1/.cp/libswt-pi-carbon-3139.jnilib: 
            at java.lang.ClassLoader$NativeLibrary.load(Native Method)
            at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1751)
            at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1660)
            at java.lang.Runtime.loadLibrary0(Runtime.java:822)
            at java.lang.System.loadLibrary(System.java:992)
            at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
            at org.eclipse.swt.internal.carbon.OS.<clinit>(OS.java:20)
            at org.eclipse.swt.widgets.Display.createDisplay(Display.java:856)
            at org.eclipse.swt.widgets.Display.create(Display.java:836)
    .log 16%!SESSION 2006-05-11 02:21:56.703 -----------------------------------------------
    eclipse.buildId=M20060118-1600
    java.version=1.5.0_06
    java.vendor=Apple Computer, Inc.
    BootLoader constants: OS=macosx, ARCH=ppc, WS=carbon, NL=en_US
    Framework arguments:  -keyring /Users/philotas/.eclipse_keyring -showlocation
    Command-line arguments:  -os macosx -ws carbon -arch ppc -keyring /Users/philotas/.eclipse_keyring -consoleLog 
    -showlocation
    
    !ENTRY org.eclipse.osgi 2006-05-11 02:22:00.922
    !MESSAGE Application error
    !STACK 1
    java.lang.UnsatisfiedLinkError: /Users/philotas/MyApps/eclipse/configuration/org.eclipse.osgi/bundles/63/1/.cp/
    libswt-pi-carbon-3139.jnilib: 
            at java.lang.ClassLoader$NativeLibrary.load(Native Method)
            at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1751)
            at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1660)
            at java.lang.Runtime.loadLibrary0(Runtime.java:822)
            at java.lang.System.loadLibrary(System.java:992)
            at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
            at org.eclipse.swt.internal.carbon.OS.<clinit>(OS.java:20)
            at org.eclipse.swt.widgets.Display.createDisplay(Display.java:856)
            at org.eclipse.swt.widgets.Display.create(Display.java:836)
            at org.eclipse.swt.graphics.Device.<init>(Device.java:118)
            at org.eclipse.swt.widgets.Display.<init>(Display.java:676)
            at org.eclipse.swt.widgets.Display.<init>(Display.java:667)
    18%!SESSION 2006-05-11 02:21:56.703 -----------------------------------------------
    eclipse.buildId=M20060118-1600
    java.version=1.5.0_06
    java.vendor=Apple Computer, Inc.
    BootLoader constants: OS=macosx, ARCH=ppc, WS=carbon, NL=en_US
    Framework arguments:  -keyring /Users/philotas/.eclipse_keyring -showlocation
    Command-line arguments:  -os macosx -ws carbon -arch ppc -keyring /Users/philotas/.eclipse_keyring -consoleLog -showlocation
    
    !ENTRY org.eclipse.osgi 2006-05-11 02:22:00.922
    !MESSAGE Application error
    !STACK 1
    java.lang.UnsatisfiedLinkError: /Users/philotas/MyApps/eclipse/configuration/org.eclipse.osgi/bundles/63/1/.cp/libswt-pi-carbon-3139.jnil
    ib: 
            at java.lang.ClassLoader$NativeLibrary.load(Native Method)
            at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1751)
            at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1660)
            at java.lang.Runtime.loadLibrary0(Runtime.java:822)
            at java.lang.System.loadLibrary(System.java:992)
            at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
            at org.eclipse.swt.internal.carbon.OS.<clinit>(OS.java:20)
            at org.eclipse.swt.widgets.Display.createDisplay(Display.java:856)
            at org.eclipse.swt.widgets.Display.create(Display.java:836)
            at org.eclipse.swt.graphics.Device.<init>(Device.java:118)
            at org.eclipse.swt.widgets.Display.<init>(Display.java:676)
            at org.eclipse.swt.widgets.Display.<init>(Display.java:667)
            at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:394)
            at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:155)
            at org.eclipse.ui.internal.ide.IDEApplication.createDisplay(IDEApplication.java:128)
            at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:79)
            at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:226)
            at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:376)
    
    da stehe auch was von arch=ppc auch Apfel+I auf eclipse.app zeigt Application (PowerPC) an. gibt es keine Universal Binary?

    danke
     
  2. Juuro

    Juuro Schafnase

    Dabei seit:
    07.11.05
    Beiträge:
    2.255
  3. philo

    philo Roter Stettiner

    Dabei seit:
    13.10.04
    Beiträge:
    973
    wenn ich jetzt sage, dass ich gesucht habe, glaubst du es wahrscheinlich nicht, was?
    naja. danke für den hinweis.
    inzwischen ist es sogar schon RC3!
    gruss
    philo
     

Diese Seite empfehlen